/* The New Vists Page */
.sidebar-visite-item {
    border-bottom : 1px solid var(--dark);
    display       : block;
    font          : var(--serif-s);
    padding       : 1rem 0;
}
.sidebar-visite-item:hover {
    opacity : .35;
}
.sidebar-visite-item.disabled {
    opacity : .5;
    display: grid;
    grid-template-columns: 1rem 1fr;
    align-items: center;
    gap : 0.5rem;
}
.sidebar-visite-item.disabled svg {
    width : 100%;
}
/* The Visits Archive */
.visite-archivio {
    grid-area : timeline;
}
.visita {
    padding-bottom : 3rem;
}
.visita-pictureless:not(:first-child) {
    border-top : 1px solid var(--dark);
    padding-top : 3rem;
}
.visita-cover-image {
    margin-bottom : 1rem;
    position      : relative;
}
.visita-not-available .visita-cover-image::after {
    content        : attr(data-warning);
    position       : absolute;
    inset          : 50% 0 auto;
    text-align     : center;
    background     : var(--accent);
    color          : var(--light);
    font           : var(--nav);
    text-transform : uppercase;
    padding        : 0.3rem 0 0.2rem;
    transform      : translateY(-50%);
}
.visita-titles {
    margin-bottom : 1.5rem;
}
.visita-category {
    text-transform: uppercase;
}
.visita-title {
    font : var(--serif-l);
}
.visita-description-container {
    display               : grid;
    grid-template-columns : 15fr 2fr;
    gap                   : var(--gap-v) var(--gap-h);
    grid-template-areas   : "description .";
}
.visita-description {
    font      : var(--sans-m);
    grid-area : description;
}
.visita-description.editor p {
    max-width: unset;
}
.visita-columns {
    margin-top            : 1.5rem;
    display               : grid;
    grid-template-columns : 7fr 1fr 7fr 2fr;
    gap                   : var(--gap-v) var(--gap-h);
    grid-template-areas   : "tickets . dates .";
}
@media (width > 1100px) and (width < 1500px) {
    .visita-columns {
        grid-template-columns : 15fr 2fr;
        gap                   : var(--gap-v) var(--gap-h);
        grid-template-areas   : "dates . " "tickets .";
    }
}
.visita-tickets-column {
    grid-area : tickets;
}
.visita-dates-column {
    grid-area : dates;
}
.visita-column-title {
    font : var(--nav);
    text-transform: uppercase;
    margin-bottom : 1rem;
}
.visita-tickets-notes {
    margin-top : 1rem;
    font : var(--sans-sl);
}
.visita-tickets-buy {
    margin-top : 1.5rem;
}
#visite .prices-price {
    text-align: right;
}
#visite .prices-list {
    grid-template-columns: 1fr auto;
}
/* The Dates Table */
.visita-month-label {
    display         : flex;
    justify-content : space-between;
    align-items     : center;
    border-bottom   : 1px solid var(--dark);
    cursor          : pointer;
}
.visita-month-name {
    font           : var(--nav);
    text-transform : uppercase;
    transform : translateY(2px);
}
.visita-month-label .down-icon {
    width : 1.5rem;
}
.visit-days {
    padding-top    : 0.25rem;
    padding-bottom : 0.25rem;
    border-bottom  : 1px solid var(--dark);
}
.visit-day-time {
    display         : flex;
    justify-content : space-between;
    align-items     : center;
    height: 1.25rem;
}
.visit-day:first-letter {
    text-transform: uppercase;
}
.visit-day-time:not(.visually-hidden):not(:first-child) {
    border-top  : 1px solid var(--dark);
    padding-top : 0.25rem;
    margin-top  : 0.25rem;
}
.visit-day-time.visually-hidden .visit-day {
    visibility: hidden;
}
@media (width <= 1100px) {
    .sidebar {
        display: none;
    }

    #visite-wrapper {
        grid-template-rows  : auto 1fr;
        grid-template-areas : "intro" "timeline"; 
    }

    .visita-columns {
        grid-template-columns : 8fr 1fr 8fr;
        grid-template-areas   : "tickets . dates";
    }

    .visita-description-container {
        grid-template-columns : 1fr;
        grid-template-areas   : "description";
    }

}
@media (width <= 600px) {
    .visita-columns {
        grid-template-columns : 1fr;
        grid-template-areas   : "dates" "tickets";
        gap : 2rem;
    }
}